{% extends 'base-news.html' %}
{% block content %}
{% load static from staticfiles %}
<div>
  <h1 class="upperbold text-center" style="font-weight: 800">Berita Bencana</h1>
  <div class="yellow-sq"></div>
</div>
<div class="post-row">
  
  {% for a_news in news %}
  <a onclick="document.getElementById('{{ a_news.nama }}').style.display='flex'">
    <div class="image-container">
      <img src="{{ a_news.img_url }}">
      <div class="overlay">
        <div class="overlay-content">
          <h4>{{ a_news.nama }}</h4>
          <div class="yellow-sq-small"></div>
        </div>
      </div>
    </div>
  </a>
  {% endfor %}

  <a class="empty-post"></a>

  {% for a_news in news %}
  <div id="{{ a_news.nama }}" class="modal hide">
    <div class="modal-content animate-zoom">
      <div class="modal-header">
        <img src="{{ a_news.img_url }}" />
        <div class="modal-header-content">
          <h1 class="upperbold">{{ a_news.nama }}</h1>
          <div class="blue-sq-small"></div>
          <div class="modal-header-detail-wrapper">
            <div class="icons">
              <i class="fas fa-map-marker-alt"></i>
            </div>
            <div class="details">
              <h5 class="bold">{{ a_news.lokasi }}</h5>
            </div>
          </div>
          <div class="modal-header-detail-wrapper">
            <div class="icons">
              <i class="fas fa-people-carry"></i>
            </div>
            <div class="details">
              <h5 class="bold">{{ a_news.jumlah_korban }}</h5>
            </div>
          </div>
        </div>
      </div>

      <div class="modal-body">
        <p class="bold">
          {{ a_news.deskripsi }}
        </p>
      </div>

      <div class="modal-footer">
        <button class="modal-button-igna" onclick="document.getElementById('{{ a_news.nama }}').style.display='none'">Close
        </button>
      </div>
    </div>
  </div>
  {% endfor %}
</div>
{% endblock %}